Toontrack SDX: Decades by Al Schmitt

Expansion Pack for Superior Drummer 3

Sale ends in:
  • 00

    Days

  • 00

    Hours

  • 00

    Mins

  • 00

    Secs

  • Regular price $149.00

    Cloud Icon Instant Delivery
    Digital Product - Delivered via Email.
    More Info


MacOS Logo Windows Logo


Decades of Experience.

A massive collection of drums recorded by one of the most prolific audio craftsmen of our time: Al Schmitt.

The Decades SDX was recorded at Capitol Studios and comes with five drum kits, all handpicked to represent a specific sound or era in Al’s career. Expect a palette of immaculate drum sounds encapsulating not only a lifetime of experience working at the apex of the industry but just as much a personal and reflective collection of kits that in a way represents his entire body of work. From jazz and big band to rock, fusion, pop, funk, and AOR – the Decades SDX covers all the styles that can be traced back to Al’s illustrious lifetime achievement.



Features

  • Produced by 23-time Grammy Award-winning engineer/mixer Al Schmitt
  • Recorded at Capitol Studios in Los Angeles, CA
  • Five (5) kits
  • 12 snares, nine (9) kicks as well as a broad collection of hi-hats and cymbals
  • Includes several iconic original instruments, like the original snare drum used by Jeff Porcaro on Toto’s “Rosanna” as well as Steve Ferrone’s personal drum kit
  • Brushes and/or mallets available on select kits/instruments
  • Drums from the 1920s through the late 1990s
  • Recorded with an additional seven room microphones for playback in stereo up to 9.1 systems

System Requirements
  • 64-bit Windows 7 or newer, 8 GB RAM (16 GB RAM or more recommended).
  • Mac OS X 10.6 or higher, 64-bit Intel-based Mac with 8 GB RAM (16 GB RAM or more recommended).
  • Basic Setup: Approx. 28 GB
  • Full Stereo and 5.0 Setup: Approx. 54 GB
  • Height Surround Setup: Approx. 76 GB
  • Full Installation (including bleed): Approx. 99 GB
  • Plus an additional 99 GB required for the installation process
  • A working Superior Drummer 3.1.4 (or above) installation